User:Ax/Gentoo

From beggabaur
< User:Ax
Revision as of 18:10, 14 June 2015 by Ax (talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

https://forums.gentoo.org/viewforum-f-10.html
https://wiki.gentoo.org/wiki/FAQ


Paketmanagement

http://packages.gentoo.org
http://gpo.zugaina.org


emerge

(emerge --sync                        # entspricht "aptitude update")
eix-sync                              # wrapper für emerge --sync
emerge -uDN [-f|--keep-going] @world  # Systemweites update (/var/lib/portage/world)
emerge -u [paket]                     # ein Paket updaten

--ask                                 # ask for confirmation
[-f|-F]                               # src nur herunterladen aber nicht bauen
-C                                    # remove software
dispatch-conf                         # merge config files updates


pakete/dateien (programme) finden

eix $paket

Am Beispiel "bc":

<petrvs> debdog: emerge -n eix; eix-update; eix -e bc
<petrvs> debdog: emerge -Opv bc
<petrvs> debdog: emerge -n pfl; e-file bc | less
emerge pfl; e-file [command|filename]


mask

Pakete/Paketversionen von der installation ausschliessen.[BR] https://wiki.gentoo.org/wiki/Handbook:AMD64/Full/Portage#package.mask

/etc/portage/package.mask/keepassx  # do not install versions -gt 0.5


eselect

eselect locale
eselect news
eselect profile


Notizen

i4dnf has this in /etc/portage/make.conf EMERGE_DEFAULT_OPTS="--ask --verbose --autounmask=n --ignore-built-slot-operator-deps=y"
<i4dnf> this might be useful too: FEATURES="parallel-fetch candy collision-protect fixlafiles splitdebug"
<debdog> i4dnf: about multilib. https://wiki.gentoo.org/wiki/Eudev "abi_x86_32". I need at least one 32bit programme and perhaps wine, too.should I add that to USE?
<debdog> also, I have added "multilib", does that mean everything will be compiled with 32bit, too? or is there a way to tell emerge what libs and progs I actually need in 32bit?
<i4dnf> debdog - emerge wine whill whine about the ones that want abi_x86_32
<i4dnf> then add those to /etportage/package.use/somefilename like so
<i4dnf> app-cat/app-name abi_x86_32
<debdog> so I don't need to add this to eudev?
<i4dnf>  /etc/portage/package.use/$somefilename *
<debdog> and I should probably remove "multilib " from USE?
<i4dnf> if it needs 32 bit udev you have to (though i doubt it)
<i4dnf> leave multilib on
<i4dnf> debdog - btw, to check current emerges, emerge genlop, then genlop -c
<i4dnf> emerge -1v app-portage/cpuinfo2cpuflags then  cpuinfo2cpuflags-x86
<i4dnf> btw, you might want to run dispatch-conf asap <-- "config files in '/etc' need updating"


kernel/bootmgr

Next select the exact processor type. It is also recommended to enable MCE features (if available) so that users are able to be notified of any hardware problems. On some architectures (such as x86_64), these errors are not printed to dmesg, but to /dev/mcelog. This requires the app-admin/mcelog package.

emerge =gentoo-sources-4.0.4 # nur ein Beispiel
ln -sf /usr/src/linux-4.0.5-gentoo /usr/src/linux

cd /usr/src/linux
make [x|menu]config
make -j5 && make -j5 modules_install
make install
cp /boot/vmlinuz-<version> /boot/efi/boot/bootx64.efi
#genkernel --install initramfs  # DON'T

#!emerge -1O x11-drivers/ati-drivers  # siehe #Overlays.
make clean  # nur bei compile errors benötigt
elilo
eliloalt
efibootmgr -c -d /dev/sda -p 1 -L "Gentau" -l "\efi\boot\bootx64.efi" \
  -u 'initrd=\initramfs-genkernel-<version> root=/dev/sda3 raid=noautodetect'

unset these: 03:13 < gendog> CONFIG_RTC_SYSTOHC=y 03:13 < gendog> CONFIG_RTC_HCTOSYS_DEVICE="rtc0"


livecd: lspci -k (module für I218-V)


Overlays

https://wiki.gentoo.org/wiki/Overlay

<i4dnf> time to start your local overlay :) <i4dnf> debdog - mkdir /usr/local/portage-local <i4dnf> mkdir /usr/local/portage-local/x11-drivers <i4dnf> mkdir /usr/local/portage-local/x11-drivers/ati-drivers/ <i4dnf> then copy the 15.1 ebuild, metadata.xml and the files folder from the main tree (#/usr/portage/...) <i4dnf> then add a file in /etc/portage/repos.conf/ <i4dnf> with this contents: <i4dnf> https://dpaste.de/BF2D <i4dnf> then a file /usr/local/portage-local/metadata/layout.conf <i4dnf> with this contents: <i4dnf> https://dpaste.de/EG4p <i4dnf> then you edit the /usr/local/portage-local/x11-drivers/ati-drivers/ati-drivers-15.1.ebuild <i4dnf> and add "user" to the inherit line <i4dnf> then run: repoman fix in /usr/local/portage-local/ (so that it creates the manifest and whatever) <i4dnf> then: emerge -1O ati-drivers::myoverlay


Worterklärungen

ebuild: software packages